## org.opengis.filter.expression
Interface Divide

All Superinterfaces:
  BinaryExpression, Expression

    @XmlElement(value="Div")
    public interface Divide

extends BinaryExpression

Encodes the operation of division where the first argument is divided by the second argument.

Instances of this interface implement their `evaluate` method by computing the numeric quotient resulting from dividing the first operand by the second. The second argument or expression cannot evaluate to zero.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Expression
`NIL`

Method Summary

Methods inherited from interface BinaryExpression
`getExpression1, getExpression2`

Methods inherited from interface Expression
`accept, evaluate, evaluate`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.